Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class EffectWidgetReplacingPipe.AggregateWidgetHandler

    java.lang.Object
      org.apache.cocoon.forms.transformation.EffectPipe.NullHandler
          org.apache.cocoon.forms.transformation.EffectPipe.CopyHandler
              org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.NestedHandler
                  org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.GroupHandler
                      org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.AggregateWidgetHandler

All Implemented Interfaces:
  EffectPipe.Handler

Enclosing class:
  EffectWidgetReplacingPipe

protected class EffectWidgetReplacingPipe.AggregateWidgetHandler
extends EffectWidgetReplacingPipe.GroupHandler

Handles `ft:aggregate` element.

Constructor Summary
`protected` | `EffectWidgetReplacingPipe.AggregateWidgetHandler()`

Method Summary
`protected Class` | `getWidgetClass()`
`protected String` | `getWidgetName()`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.GroupHandler
`endElement, startElement`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectWidgetReplacingPipe.NestedHandler
`nestedElement`

Methods inherited from class org.apache.cocoon.forms.transformation.EffectPipe.CopyHandler
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EffectWidgetReplacingPipe.AggregateWidgetHandler

    protected EffectWidgetReplacingPipe.AggregateWidgetHandler()

Method Detail

### getWidgetClass

    protected Class getWidgetClass()

  Overrides:
    `getWidgetClass` in class `EffectWidgetReplacingPipe.GroupHandler`

### getWidgetName

    protected String getWidgetName()

  Overrides:
    `getWidgetName` in class `EffectWidgetReplacingPipe.GroupHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.